Get subscription details
GET
/
v1
/
billing
/
subscriptions
/
{id}
Get subscription details
curl --request GET \
--url https://api.kerne.io/v1/billing/subscriptions/{id} \
--header 'x-app-id: <api-key>'import requests
url = "https://api.kerne.io/v1/billing/subscriptions/{id}"
headers = {"x-app-id": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-app-id': '<api-key>'}};
fetch('https://api.kerne.io/v1/billing/subscriptions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"tenant_id": "<string>",
"customer": {
"id": "<string>",
"external_id": "<string>",
"email": "<string>",
"name": "<string>"
},
"plan_price_id": "<string>",
"pack_id": "<string>",
"pending_plan_price_id": "<string>",
"pending_pack_id": "<string>",
"provider": "STRIPE",
"provider_subscription_id": "<string>",
"provider_customer_id": "<string>",
"status": "ACTIVE",
"current_period_start": "2023-11-07T05:31:56Z",
"current_period_end": "2023-11-07T05:31:56Z",
"trial_start": "2023-11-07T05:31:56Z",
"trial_end": "2023-11-07T05:31:56Z",
"canceled_at": "2023-11-07T05:31:56Z",
"ended_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"plan": {
"id": "<string>",
"slug": "<string>",
"name": "<string>"
},
"plan_price": {
"id": "<string>",
"amount": 123,
"currency": "<string>",
"interval": "<string>",
"price_label_name": "<string>",
"price_label_slug": "<string>"
},
"product": {
"id": "<string>",
"slug": "<string>",
"name": "<string>"
},
"pack": {
"id": "<string>",
"version": 123,
"status": "DRAFT"
},
"entitlements": [
{
"feature_id": "<string>",
"feature_key": "<string>",
"feature_name": "<string>",
"feature_type": "<string>",
"feature_unit_label": "<string>",
"limit": 123,
"value": "<string>",
"overage": "BLOCK",
"limit_binding": "CUSTOMER",
"cap_binding": "CUSTOMER",
"max_dimensions": 123,
"overage_ceiling": "<string>",
"overage_cap_amount": 123,
"billed_amount": 123,
"currency": "<string>",
"cap_reached": true
}
]
}Authorizations
AppIdentifierJWT
App identifier (App.id, sent as the x-app-id header)
Path Parameters
Response
200 - application/json
Show child attributes
Show child attributes
Available options:
STRIPE, POLAR Available options:
ACTIVE, TRIALING, PAST_DUE, CANCELED, UNPAID, PAUSED Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
Get subscription details

